import { EventEmitter } from '../../stencil-public-runtime';
import JustifiAnalytics from '../../api/Analytics';
import { ComponentErrorEvent, ComponentClickEvent } from '../../api/ComponentEvents';
import { PagingInfo, Payout, SubAccount } from '../../api';
import { Table } from '../../utils/table';
export declare class JustifiPayoutsList {
    getPayouts: Function;
    getPayoutCSV: Function;
    getSubAccounts: Function;
    errorMessage: string;
    payouts: Payout[];
    payoutsTable: Table<Payout>;
    subAccounts: SubAccount[];
    loading: boolean;
    paging: PagingInfo;
    pagingParams: any;
    accountId: string;
    authToken: string;
    columns?: string;
    errorEvent: EventEmitter<ComponentErrorEvent>;
    clickEvent: EventEmitter<ComponentClickEvent>;
    analytics: JustifiAnalytics;
    componentWillLoad(): void;
    disconnectedCallback(): void;
    propChanged(): void;
    updateOnPropChange(): void;
    private initializeGetData;
    private initializePayoutsServices;
    private initializeGetSubAccounts;
    fetchData(): void;
    fetchSubAccounts(): Promise<void>;
    downloadCSV: (payoutId: string) => void;
    handleClickPrevious: (beforeCursor: string) => void;
    handleClickNext: (afterCursor: string) => void;
    rowClickHandler: (e: any) => void;
    get payoutParams(): any;
    get subAccountParams(): {
        sub_account_id: string;
    };
    get entityId(): string[];
    get showEmptyState(): boolean;
    get showErrorState(): boolean;
    get showRowData(): boolean;
    render(): any;
}
